API Reference
Extend
Extends a user and license expiry using a license key duration.
Endpoint
Method
POSTPath
/api/v2/extendRequest Body
{
"session_id": "dc1ce...a3a75",
"username": "12",
"license_key": "XXXXX-XXXXX-XXXXX-XXXXX-XXXXX",
"sid": "S-1-5-21-....",
"ip": "102.88.xxx.xxx"
}
session_id(required)username(required)license_key(required): the license used as the duration source.sidorhwid(required)ip(optional)
Success Response
{
"success": true,
"message": "Account extended successfully.",
"user": {
"username": "12",
"subscription": "Default",
"subscription_level": 1,
"expiry_date": "2026-05-29T07:07:00.000Z",
"last_login": "2026-04-13T12:00:00.000Z",
"created_at": "2026-03-26T12:29:48.697Z"
},
"license": {
"license_key": "XXXXX-...",
"subscription": "Default",
"subscription_level": 1,
"expiry_date": "2026-05-29T07:07:00.000Z"
},
"time_added_seconds": 2592000
}
Error Codes
400
MISSING_FIELDS
401
INVALID_SESSIONSESSION_EXPIRED
403
USER_BANNEDUSER_SUSPENDEDLICENSE_IN_USELICENSE_BANNEDLICENSE_PAUSED
404
USER_NOT_FOUNDLICENSE_NOT_FOUND
422
INVALID_DURATION
500
INTERNAL